Get non-fiscal collection document
GET https://pos.paysera.com/epapi/v1/cash-registers/{number}/collection/{id}
Retrieve detailed information about a non-fiscal collection document.
Collection documents record cash collections from the register.
Authorization​
This endpoint requires MAC (Message Authentication Code) authentication.
Authorization Header Format:
Authorization: MAC id="CLIENT_ID", ts="TIMESTAMP", nonce="RANDOM_STRING", mac="MAC_HASH", ext="body_hash=BODY_HASH"
Example:
Authorization: MAC id="a9b8c7d6e5f4g3h2", ts="1234567890", nonce="xyz123abc456def", mac="dGhpcyBpcyBhIHJhbmRvbSBtYWMgaGFzaCB2YWx1ZQ==", ext="body_hash=cmFuZG9tQm9keUhhc2hWYWx1ZQ%3D%3D"
For more details, see the Authentication section.
Parameters​
Path Parameters​
| Name | Type | Required | Description |
|---|---|---|---|
number | string | ✓ | Cash register identifier/number |
id | string | ✓ | Collection document identifier |
Example​
Request​
GET https://pos.paysera.com/epapi/v1/cash-registers/{number}/collection/{id}
Authorization: MAC id="CLIENT_ID", ts="TIMESTAMP", nonce="RANDOM_STRING", mac="MAC_HASH"
Response​
{
"id": "COL20240123001",
"number": "COL-2024-001",
"cashRegisterNumber": "REG001",
"fiscalDayNumber": 125,
"amount": 50000,
"currency": "EUR",
"status": "completed",
"createdAt": "2024-11-04T17:00:00Z",
"collectedBy": "John Manager",
"notes": "End of day collection"
}
AUTHORIZATION: HTTP
REQUEST
Base URL
https://pos.paysera.com
RESPONSE
Collection document retrieved successfully
{
"id": "COL20240123001",
"number": "COL-2024-001",
"cashRegisterNumber": "REG001",
"fiscalDayNumber": 125,
"amount": 50000,
"currency": "EUR",
"status": "completed",
"createdAt": "2024-11-04T17:00:00Z",
"collectedBy": "John Manager",
"notes": "End of day collection"
}